﻿using HeuristicLab.Core;
using HeuristicLab.Encodings.PermutationEncoding;
using HeuristicLab.EvolutionTracking;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.Problems.TravelingSalesman.Analyzers {
  [StorableClass]
  [Item("TSPGenealogyAnalyzer", "A genealogy analyzer for permutation encodings.")]
  public class TSPGenealogyAnalyzer : GenealogyAnalyzer<Permutation> {
  }
}
